Oracle Linux Server 7安装VMwareTools问题

OracleLinuxServer7安装VMwareTools问题
#./vmware-install.pl时报错:
#-bash: ./vmware-instal.pl:/usr/bin/perl:bad interpreter:No such file or directory

原因:
未安装perl环境。

解决方法:
在YUM环境下安装perl。
配置本地yum源:(参考资料:http://www.cnblogs.com/rusking/p/4248946.html)
编写 /etc/yum.repos.d/local_repo.repo 文件内容如下。
[rhel-source]
name=Red Hat Enterprise Linux Local repo  
##仓库描述
baseurl=file:///opt/rpm/local_repo        
##软件仓库位置
enabled=1                                 
##是否启用
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-oracle   
##签名秘钥,/etc/pki/rpm-gpg/在这个目录下,可进入该目录查看。


YUM安装perl:
#yum install perl

perl安装完成之后,再安装vmwareTool,执行/vmware-install.pl,默认安装,一路回车即可。
======================
其它问题:
在安装vmware tool的过程中,出现如下提示:
What is the location of the "ifconfig" program on your machine?
此处回车不行,因为系统没有安装ifconfig,需要重新手动安装后,再来安装vmware Tool。

Yum安装ifconfig:
#yum search ifconfig
#net-tools.x86_64:Basc networking tools
#yum install net-tools-2.0-0.17.20131004git.e17.x86_64.rpm

之后,再来安装vmware tool正常。

--------之后,问题又出现了,安装完VMware Tool之后,reboot默认启动到字符界面。也切换不到图形登录界面。

继续折腾--重新安装,在安装过程中注意SOFTWARE SELECTION,不要选择默认安装,需要选择最后一个Server With GUI,右边组件随便选择。如下图:

官方安装文档:http://oracle-base.com/articles/linux/oracle-linux-7-installation.php

SELinux

  • If the OS is to be used for an Oracle installation, it is easier if Secure Linux (SELinux) is disabled or switched to permissive. To do this edit the "/etc/selinux/config" file, making sure the SELINUX flag is set as follows.

    SELINUX=permissive

    If SELinux is configured after installation, the server will need a reboot for the change to take effect.

Firewall

  • If the OS is to be used for an Oracle installation, it is easier if the firewall is disabled. This can be done by issuing the following commands from a terminal window as the "root" user.

    # systemctl stop firewalld
    # systemctl disable firewalld

You can install and configure it later if you wish.

SSH

  • Make sure the SSH daemon is started using the following commands.

    # systemctl start sshd.service
    # systemctl enable sshd.service

 =================

重新安装后,进行图形界面正常。安装VMware tool:

1、[root@localhost vmware-tools-distrib]# ./vmware-install.pl
The installer found the following conflicting packages installed on the system and will now remove them:

open-vm-tools

error: Failed dependencies:
 libhgfs.so.0()(64bit) is needed by (installed) open-vm-tools-desktop-9.4.0-3.el7.x86_64
 libvmtools.so.0()(64bit) is needed by (installed) open-vm-tools-desktop-9.4.0-3.el7.x86_64
 open-vm-tools(x86-64) = 9.4.0-3.el7 is needed by (installed) open-vm-tools-desktop-9.4.0-3.el7.x86_64
Failed to remove the following packages:

open-vm-tools

Please manually remove them before installing VMware Tools.

Execution aborted.

2、[root@localhost vmware-tools-distrib]# yum remove open-vm-tools  卸载open-vm-tools

3、[root@localhost vmware-tools-distrib]# ./vmware-install.pl  重新安装vmware tool
一路回车,直到安装完成。

 

posted on 2015-01-27 14:00 遠離塵世の方舟 阅读(...) 评论(...) 编辑 收藏

导航

统计

公告